Codevisor Docs
Api reference

POST Native Mcps Import

POST/v1/native-mcps/import

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

identities*array<string>

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/native-mcps/import" \  -H "Content-Type: application/json" \  -d '{    "identities": [      "string"    ]  }'
{  "outcomes": [    {      "identity": "string",      "status": "imported",      "serverId": "string",      "serverName": "string",      "detail": "string",      "warnings": [        "string"      ]    }  ],  "scan": {    "candidates": [      {        "identity": "string",        "name": "string",        "transport": "http",        "url": "string",        "command": "string",        "args": [          "string"        ],        "foundIn": [          "string"        ],        "alreadyManaged": true      }    ],    "harnesses": [      {        "harnessId": "string",        "harnessName": "string",        "harnessSymbol": "string",        "configPath": "string",        "exists": true,        "error": "string",        "servers": [          {            "harnessId": "string",            "harnessName": "string",            "serverName": "string",            "scope": "global",            "configPath": "string",            "transport": "http",            "url": "string",            "command": "string",            "args": [              "string"            ],            "envNames": [              "string"            ],            "headerNames": [              "string"            ],            "enabled": true,            "supportsDisable": true,            "supportsRemove": true,            "identity": "string",            "alreadyManaged": true          }        ]      }    ]  }}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}